# $Revision: 1.58 $, $Date: 2010/08/29 19:07:18 $
Summary:	Serves out PPTP connections
Summary(pl.UTF-8):	Serwer połączeń PPTP
Name:		pptpd
Version:	1.3.4
Release:	2
License:	GPL
Group:		Networking/Daemons
Vendor:		Matthew Ramsay http://www.moretonbay.com/vpn/pptp.html
Source0:	http://dl.sourceforge.net/poptop/%{name}-%{version}.tar.gz
# Source0-md5:	b38df9c431041922c997c1148bedf591
Source1:	%{name}.init
Patch0:		%{name}-install.patch
Patch1:		%{name}-lib64.patch
Patch2:		%{name}-1.3.4-more-reodering-fixes.patch
URL:		http://www.poptop.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	sed >= 4.0
Requires(post,preun):	/sbin/chkconfig
Requires:	ppp >= 2.4.3
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PPTPd, Point-to-Point Tunnelling Protocol Daemon, offers out
connections to pptp clients to become virtual members of the IP pool
owned by the pptp server. In effect, these clients become virtual
members of the local subnet, regardless of what their real IP address
is. A tunnel is built between the pptp server and client, and packets
from the subnet are wrapped and passed between server and client
similar to other C/S protocols.

%description -l pl.UTF-8
PPTPd (Point-to-Point Tunnelling Protocol Daemon, czyli demon
obsługujący protokół tunelowania Point-to-Point) udostępnia połączenia
klientom pptp, aby stały się wirtualnymi członkami puli IP
obsługiwanej przez serwer pptp. W efekcie ci klienci stają się
wirtualnymi członkami podsieci lokalnej, niezależnie od ich
prawdziwego adresu IP. Tunel jest tworzony między serwerem a klientem
pptp, a pakiety z podsieci są wyłapywane i puszczane pomiędzy serwerem
a klientem podobnie do innych protokołów klient-serwer.

%prep
%setup -q
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif
%patch2 -p1

sed -i -e "s#/lib#/%{_lib}#g#" plugins/Makefile

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/rc.d/init.d}

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

install samples/pptpd.conf $RPM_BUILD_ROOT%{_sysconfdir}/pptpd.conf
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}

rm -rf html/CVS samples/CVS

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add pptpd
if [ -f /var/lock/subsys/pptpd ]; then
	/etc/rc.d/init.d/pptpd restart 1>&2
else
	echo "Type \"/etc/rc.d/init.d/pptpd start\" to start pptpd." 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/pptpd ]; then
		/etc/rc.d/init.d/pptpd stop 1>&2
	fi
	/sbin/chkconfig --del pptpd
fi


%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO samples/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pptpd.conf
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*
%{_libdir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pptpd.spec,v $
Revision 1.58  2010/08/29 19:07:18  arekm
- rel 2; reordering fixes from gentoo

Revision 1.57  2010/05/22 16:39:50  gotar
- fixed Group

Revision 1.56  2009/05/23 14:29:29  amateja
- updated to 1.3.4

Revision 1.55  2009/05/21 13:27:13  amateja
- updated to 1.3.2

Revision 1.54  2007/11/10 21:02:32  arekm
- up to 1.3.0

Revision 1.53  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.52  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.51  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.50  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.49  2005/05/29 00:12:12  petec
- up to 1.2.3

Revision 1.48  2005/03/18 16:31:34  darekr
- fixed perms for init script

Revision 1.47  2005/01/10 06:31:01  djrzulf
- fix requires (wtmp plugin),
- Rel 2,
- STBR AC-test,

Revision 1.46  2005/01/09 23:26:34  qboosh
- more general condition (and fix, ia64 doesn't use lib64)

Revision 1.45  2005/01/09 21:26:21  djrzulf
- Rel 1, finished, can go to AC-test,

Revision 1.44  2005/01/07 10:45:25  havner
- amd64 fixed

Revision 1.43  2005/01/07 10:17:39  tiwek
- remove duplicate files

Revision 1.42  2005/01/07 09:21:09  tiwek
- updated to 1.2.1
- build
- works ????

Revision 1.41  2004/12/01 01:27:35  zbyniu
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

Revision 1.40  2004/11/10 22:39:40  kolodko
- fixed #5534 (description in init script)
- rel 2
- STBR AC

Revision 1.39  2004/10/31 21:20:04  paladine
- spaces->tabs
- formatting

Revision 1.38  2004/05/13 19:17:50  ankry
- cosmetics

Revision 1.37  2004/02/08 07:47:42  misi3k
- rel 2
- added init file
- cosmetics

Revision 1.36  2003/06/20 19:13:13  eothane
- mmkay.. prdownloads->dl

Revision 1.35  2003/06/20 18:50:49  eothane
- proper URL: and Source0:

Revision 1.34  2003/05/28 13:01:22  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:25:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/05/19 08:36:48  misi3k
- updated to 1.1.4b4
Changlelog:
missing

Revision 1.31  2003/04/22 11:59:51  qboosh
- removed COPYING (just GPL), INSTALL (generic) and CVS dirs from doc

Revision 1.30  2003/04/20 10:49:41  qboosh
- place "b3" in release, fixed typo
- verify() for config file, removed default _sysconfdir definition

Revision 1.29  2003/04/19 06:44:27  ciril
- Updated to 1.1.4-b3

Revision 1.28  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.27  2002/09/13 20:35:28  areq
- 1.1.3, STBR

Revision 1.26  2002/07/23 20:26:55  marcus
- use new %%doc
- rel. 3.

Revision 1.25  2002/05/21 23:14:33  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:14:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/12/12 19:09:03  blues
- docs simplification

Revision 1.20  2001/12/12 14:21:26  qboosh
- pl description; release 2

Revision 1.19  2001/10/06 16:13:34  blues
- summary added

Revision 1.18  2001/09/30 16:24:17  blues
- buildrequires added

Revision 1.17  2001/09/30 16:11:50  marcus
- small fix

Revision 1.16  2001/09/30 16:04:31  marcus
- addedd aclocal,autoconf before %%configure

Revision 1.15  2001/03/15 20:24:47  areq
- 1.1.2
- update url

Revision 1.14  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.13  2000/06/09 07:55:08  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.10  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.8  2000/01/20 23:13:59  kloczek
- updated to 1.1.1.

Revision 1.7  1999/12/28 03:20:03  kloczek
- adapter(ized).

Revision 1.6  1999/12/28 03:17:16  kloczek
- updated Source url and added URL,
- added passing LDFLAGS="-s" to ./configure environment (now binaries are
  stripped),
- removed COPYING and INSTALL from %doc.

Revision 1.5  1999/12/27 21:11:45  waszi
- updated to 1.0.0

Revision 1.4  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).
